org.jCharts.test

## Class TestDataGenerator

- java.lang.Object
- - org.jCharts.test.TestDataGenerator

-     public final class TestDataGenerator
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static Font[]` | `ALL_FONTS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestDataGenerator()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static Color` | `getRandomColor()` Random Color generator.
    `static Font` | `getRandomFont(double minSize, double maxSize)` Random font generator based on the available Fonts on this machine.
    `static double` | `getRandomNumber(double maxValue)` Random number generator.
    `protected static double` | `getRandomNumber(double minValue, double maxValue)` Random number generator in specified range.
    `static double[]` | `getRandomNumbers(int numToGenerate, double minValue, double maxValue)` Random numbers generator in specified range.
    `static double[][]` | `getRandomNumbers(int numberOfDataSets, int numToGenerate, double minValue, double maxValue)` Random numbers generator in specified range.
    `protected static Paint` | `getRandomPaint()` Random Paint generator.
    `static Paint[]` | `getRandomPaints(int numToCreate)` Random Color generator.
    `static Point2D.Double[]` | `getRandomPoints(int numToGenerate, double xMinValue, double xMaxValue, double yMinValue, double yMaxValue)` Random numbers generator in specified range.
    `protected static String` | `getRandomString(int maxStringLength, boolean canBeNull)` Random String generator.
    `protected static String[]` | `getRandomStrings(int numToCreate, int maxStringLength, boolean canBeNull)` Random String generator.
    `protected static void` | `randomizeAxisProperties(AxisProperties axisProperties)` Takes the passed AxisProperties and randomizes it.
    `protected static void` | `randomizeLegend(LegendProperties legendProperties)` Takes the passed Legend and randomizes it.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALL_FONTS

          private static final Font[] ALL_FONTS

  - ### Constructor Detail

    - #### TestDataGenerator

          public TestDataGenerator()

  - ### Method Detail

    - #### getRandomFont

          public static Font getRandomFont(double minSize,
                                           double maxSize)

      Random font generator based on the available Fonts on this machine.
      Parameters:
        `minSize` -
        `maxSize` -
      Returns:
        Font

    - #### getRandomNumber

          public static double getRandomNumber(double maxValue)

      Random number generator.
      Parameters:
        `maxValue` -
      Returns:
        double

    - #### getRandomNumber

          protected static double getRandomNumber(double minValue,
                                                  double maxValue)

      Random number generator in specified range.
      Parameters:
        `minValue` -
        `maxValue` -
      Returns:
        double

    - #### getRandomNumbers

          public static double[] getRandomNumbers(int numToGenerate,
                                                  double minValue,
                                                  double maxValue)

      Random numbers generator in specified range.
      Parameters:
        `numToGenerate` - the number of doubles to generate
        `minValue` -
        `maxValue` -
      Returns:
        double[]

    - #### getRandomNumbers

          public static double[][] getRandomNumbers(int numberOfDataSets,
                                                    int numToGenerate,
                                                    double minValue,
                                                    double maxValue)

      Random numbers generator in specified range.
      Parameters:
        `numberOfDataSets` - to generate
        `numToGenerate` - the number of doubles to generate
        `minValue` -
        `maxValue` -
      Returns:
        double[]

    - #### getRandomPoints

          public static Point2D.Double[] getRandomPoints(int numToGenerate,
                                                         double xMinValue,
                                                         double xMaxValue,
                                                         double yMinValue,
                                                         double yMaxValue)

      Random numbers generator in specified range.
      Parameters:
        `numToGenerate` - the number of doubles to generate
        `xMinValue` -
        `xMaxValue` -
        `yMinValue` -
        `yMaxValue` -
      Returns:
        Point.Double[]

    - #### getRandomPaint

          protected static Paint getRandomPaint()

      Random Paint generator.
      Returns:
        Paint

    - #### getRandomPaints

          public static Paint[] getRandomPaints(int numToCreate)

      Random Color generator.
      Returns:
        Paint[]

    - #### getRandomColor

          protected static Color getRandomColor()

      Random Color generator.
      Returns:
        Color

    - #### getRandomString

          protected static String getRandomString(int maxStringLength,
                                                  boolean canBeNull)

      Random String generator.
      Parameters:
        `maxStringLength` -
        `canBeNull` -
      Returns:
        String

    - #### getRandomStrings

          protected static String[] getRandomStrings(int numToCreate,
                                                     int maxStringLength,
                                                     boolean canBeNull)

      Random String generator.
      Returns:
        String[]

    - #### randomizeAxisProperties

          protected static void randomizeAxisProperties(AxisProperties axisProperties)

      Takes the passed AxisProperties and randomizes it.
      Parameters:
        `axisProperties` -

    - #### randomizeLegend

          protected static void randomizeLegend(LegendProperties legendProperties)

      Takes the passed Legend and randomizes it.
      Parameters:
        `legendProperties` -